import express from "express";
import cors from "cors";
import docenteRoute from "./routes/docenteRoutes.js";
import salaRoutes from "./routes/salaRoutes.js";
import dapeRoutes from "./routes/dapeRoutes.js";
import ensalamentoRoutes from "./routes/ensalamentoRoutes.js";
import agendamentoSalaRoutes from "./routes/agendamentoSalaRoutes.js";
import swaggerUiExpress from "swagger-ui-express";
import swaggerDocument from './docs/swagger.json' with {type: "json"};

//instanciando express
const app = express();

// Habilita o CORS para todas as origens
app.use(cors());

// habilitando o uso de json pelo express
app.use(express.json());

// Redirecionando para a documentação
app.get("/",(req, res) => { 
    res.status(200).redirect("api");
});

app.use(docenteRoute);
app.use(dapeRoutes);
app.use(salaRoutes);
app.use(ensalamentoRoutes);
app.use(agendamentoSalaRoutes)
app.use('/api', swaggerUiExpress.serve, swaggerUiExpress.setup(swaggerDocument));

export default app