import jwt from "jsonwebtoken";
import dotenv from "dotenv";

dotenv.config();

function autenticacaoTokenDape(req, res, next) {
  const authHerades = req.headers.authorization
  if(!authHerades || !authHerades.startsWith('Bearer ')){
    res.status(400).json({Error: "Token ausente!"})
  }else{
    const token = authHerades.split(' ')[1]
    try {
      jwt.verify(token, process.env.SECRET_KEY)
      next()
    } catch (error) {
      res.status(401).json({Error: "Token inválido!"})
    }
  }

}

export default autenticacaoTokenDape;