import prisma from "../configs/prismaClient.js";

class dapeRepository{
    async findAll(filtros){
        return await prisma.dape.findMany(filtros);
    }

    async findById(id){
        return await prisma.dape.findUnique(id);
    }

    async create(data){
        return await prisma.dape.create(data);
    }

    async update(id, data){
        return await prisma.dape.update({where: {n_siape_dape: id}, data: data});
    }

    async delete(id){
        return await prisma.dape.delete({where: {n_siape_dape: id}});
    }

    async dapeExist(email){
        return await prisma.dape.findFirst(email)
    }

    async existDape(id){
        return await prisma.dape.findUnique({where: {n_siape_dape: id}})
    }
}

export default new dapeRepository();