import express from "express";
import agendamentoSalaController from "../controllers/agendamentoSalaController.js";
import autenticacaoTokenDocente from "../middlewares/authDocente.js";
import autenticacaoTokenDape from "../middlewares/authDape.js";

const router = express.Router();

router
    .get("/agendamento", autenticacaoTokenDape, agendamentoSalaController.listar)
    .post("/agendamento", autenticacaoTokenDape, agendamentoSalaController.inserir)
    .delete("/agendamento/:id_reserva", autenticacaoTokenDape, agendamentoSalaController.excluir)
    
export default router;