import express from "express";
import autenticacaoTokenDape from "../middlewares/authDape.js"
import dapeController from "../controllers/dapeController.js";
import autenticacaoDapeController from "../controllers/autenticacaoDapeController.js";

const router = express.Router();

router
    .post("/authdape", autenticacaoDapeController.autenticar)
    .post("/novodape", dapeController.inserir)
    .get("/dape", autenticacaoTokenDape, dapeController.listar)
    .get("/dape/:n_siape_dape", autenticacaoTokenDape, dapeController.listarPorid)
    .delete("/dape/:n_siape_dape", autenticacaoTokenDape, dapeController.excluir)
    .patch("/dape/:n_siape_dape", autenticacaoTokenDape, dapeController.atualizar)

export default router;