import express from "express";
import docenteController from "../controllers/docenteController.js";
import autenticacaoDocenteController from "../controllers/autenticacaoDocenteController.js";
import autenticacaoTokenDocente from "../middlewares/authDocente.js"

const router = express.Router();

router
    .post("/authdocente", autenticacaoDocenteController.autenticar)
    .post("/novodocente", docenteController.criar)
    .get("/docentes", docenteController.listar)
    .get("/docente/:n_siape", docenteController.listarPorId)
    .delete("/docente/:n_siape", docenteController.excluir)
    .patch("/docente/:n_siape", docenteController.atualizar)
    
export default router;