import express from "express";
import ensalamentoController from "../controllers/ensalamentoController.js";
import autenticacaoTokenDape from "../middlewares/authDape.js";

const router = express.Router();

router
    .post("/ensalamento", autenticacaoTokenDape, ensalamentoController.inserir)
    .get("/ensalamento", autenticacaoTokenDape, ensalamentoController.listar)
    .get("/ensalamento/:id_ensalamento", autenticacaoTokenDape, ensalamentoController.listarPorId)
    .delete("/ensalamento/:id_ensalamento", autenticacaoTokenDape, ensalamentoController.excluir)

    
    
export default router;