import { z } from "zod";

class DapeSchema{

    static listarDape = z.object({
        n_siape_dape: z.string().trim().min(1).max(200).optional(),
        nome_dape: z.string().trim().min(1).max(200).optional(),
        email_dape: z.string().trim().min(1).max(200).optional(),
        senha_dape: z.string().trim().min(1).max(200).optional(),
        tipo_usuario: z.string().trim().min(1).max(50).optional(),
    });

    static listarDapePorId = z.object({n_siape_dape: z.string().min(1)});

    static criarDape = z.object({
        n_siape_dape: z.string({
            message: "Campo é obrigatório e deve ser uma string"
        }).trim().min(1).max(200),
        nome_dape: z.string({
            message: "Campo é obrigatório e deve ser uma string"
        }).trim().min(1).max(200),
        email_dape: z.string({
            message: "Campo é obrigatório e deve ser uma string"
        }).trim().min(1).max(200),
        senha_dape: z.string({
            message: "Campo é obrigatório e deve ser uma string"
        }).trim().min(1).max(200),
        tipo_usuario: z.string({
            message: "Campo é obrigatório e deve ser uma string"
        }).trim().min(1).max(200),
    });

    static atualizarDape = z.object({
        nome_dape: z.string({
            message: "Campo deve ser string"
        }).trim().min(1).max(200).default(null).optional(),
        email_dape: z.string({
            message: "Campo deve ser string"
        }).trim().min(1).max(200).default(null).optional(),
        senha_dape: z.string({
            message: "Campo deve ser string"
        }).trim().min(1).max(200).default(null).optional(),
        tipo_usuario: z.string({
            message: "Campo deve ser string"
        }).trim().min(1).max(200).default(null).optional(),
    });
}

export default DapeSchema;