import { z } from "zod";

class DocenteSchema{

    static listarDocente = z.object({
        n_siape: z.string().trim().min(1).max(200).optional(),
        nome_docente: z.string().trim().min(1).max(200).optional(),
        email_docente: z.string().trim().min(1).max(200).optional(),
        senha_docente: z.string().trim().min(1).max(200).optional(),
        turma_docente: z.string().trim().optional(),
        curso_docente: z.string().trim().optional(),
        fotoPerfil_docente: z.string().trim().optional(),
    });

    static listarDocentePorId = z.object({n_siape: z.string().min(1)});

    static criarDocente = z.object({
        n_siape: z.string().trim({
            message: "Campo é obrigatório e deve ser uma string!"
        }).min(1).max(200),
        nome_docente: z.string({
            message: "Campo é obrigatório e deve ser uma string!"
        }).trim().min(1).max(200),
        email_docente: z.string({
            message: "Campo é obrigatório e deve ser uma string!"
        }).trim().min(1).max(200),
        senha_docente: z.string({
            message: "Campo é obrigatório e deve ser uma string!"
        }).trim().min(1).max(200),
        turma_docente: z.string({
            message: "Campo é obrigatório e deve ser uma string!"
        }).trim().optional(),
        curso_docente: z.string({
            message: "Campo é obrigatório e deve ser uma string!"
        }).trim().optional(),
        tipo_usuario: z.string({
            message: "Campo é obrigatório e deve ser uma string!"
        }).trim().optional(),
    });

    static atualizarDocente = z.object({
        nome_docente: z.string({
            message: "Campo deve ser uma string!"
        }).trim().min(1).max(200).optional(),
        email_docente: z.string({
            message: "Campo deve ser uma string!"
        }).trim().min(1).max(200).optional(),
    });
}

export default DocenteSchema;