import { z } from "zod";

class SalaSchema{

    static listarSala = z.object({
        id_sala: z.number().min(1).max(200).optional(),
        nome_sala: z.string().trim().min(1).max(200).optional(),
        bloco_sala: z.string().trim().min(1).max(200).optional(),
    });

    static listarSalaPorId = z.object({id_sala: z.number().min(1)})

    static criarSala = z.object({
        nome_sala: z.string({
            message: "Nome sala é obrigatório e deve ser uma string!"
        }).trim().min(1).max(200),
        bloco_sala: z.string({
            message: "Bloco sala é obrigatório e deve ser uma string!"
        }).trim().min(1).max(200),
    });

    static atualizarSala = z.object({
        nome_sala: z.string({
            message: "Nome sala é obrigatório e deve ser uma string!"
        }).trim().min(1).max(200).optional(),
        bloco_sala: z.string({
            message: "Bloco sala é obrigatório e deve ser uma string!"
        }).trim().min(1).max(200).optional(),
    });
}

export default SalaSchema;